Subject: FW: New Version Notification for draft-bishop-quic-http-and-qpack-03.txt

From: Mike Bishop <[email-masked]>
Date: Mon, 14 Aug 2017 21:42:11 +0000

Limited changes in this version -- mostly submitted because the previous draft had timed out.

Key differences:
  - I get the impression that people don't understand how the Horizon / Stream ID List stuff works, so added a little text about how either side can simplify this as much as they want.  However, I feel like that doesn't make it substantially clearer, and I may need a text proposal on that.
  - Rather than a single stream for updates, uses the stream-as-message abstraction and enables multiple header table update streams that don't HOLB each other.  TBD exactly how we identify those in HTTP/QUIC, though almost certainly with a stream header of some sort.  Thanks to discussion with Buck and relayed conversations with Ryan which sparked this change.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, August 14, 2017 2:37 PM
To: Mike Bishop <[email-masked]>
Subject: New Version Notification for draft-bishop-quic-http-and-qpack-03.txt

A new version of I-D, draft-bishop-quic-http-and-qpack-03.txt
has been successfully submitted by Mike Bishop and posted to the IETF repository.

Name:		draft-bishop-quic-http-and-qpack
Revision:	03
Title:		Header Compression for HTTP/QUIC
Document date:	2017-08-14
Group:		Individual Submission
Pages:		14
URL:            https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-bishop-quic-http-and-qpack-03.txt&data=02%7C01%7Cmichael.bishop%40microsoft.com%7Cce32eadcd38b4df4be6408d4e35c9b18%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636383434251983289&sdata=igNEdp%2FCoq%2FgoXrdcA3231VeK%2Fs1d9DwcrcMtBOJKrs%3D&reserved=0
Status:         https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-bishop-quic-http-and-qpack%2F&data=02%7C01%7Cmichael.bishop%40microsoft.com%7Cce32eadcd38b4df4be6408d4e35c9b18%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636383434251983289&sdata=b0%2BfEHeRJvATu13PLAaZzLLo6qWB7jVydR2BGTggjmA%3D&reserved=0
Htmlized:       https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-bishop-quic-http-and-qpack-03&data=02%7C01%7Cmichael.bishop%40microsoft.com%7Cce32eadcd38b4df4be6408d4e35c9b18%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636383434251983289&sdata=BYrG5Xm5Lm%2BG5YHSXvnHw8hjBIJZKtBVaDbd%2Bs5uxLc%3D&reserved=0
Htmlized:       https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-bishop-quic-http-and-qpack-03&data=02%7C01%7Cmichael.bishop%40microsoft.com%7Cce32eadcd38b4df4be6408d4e35c9b18%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636383434251983289&sdata=XlG6ONzaWscMBJbMr84lX4xCWZMDUUtfxv8TLhZtMBw%3D&reserved=0
Diff:           https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-bishop-quic-http-and-qpack-03&data=02%7C01%7Cmichael.bishop%40microsoft.com%7Cce32eadcd38b4df4be6408d4e35c9b18%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636383434251983289&sdata=Sn5nAEw8Kb6BLlVt5EV6JWgVL%2BS%2BBhCo3LKsjAEicYM%3D&reserved=0

Abstract:
   HTTP/2 [RFC7540] uses HPACK [RFC7541] for header compression.
   However, HPACK relies on the in-order message-based semantics of the
   HTTP/2 framing layer in order to function.  Messages can only be
   successfully decoded if processed by the decoder in the same order as
   generated by the encoder.  This draft refines HPACK to loosen the
   ordering requirements for use over QUIC [I-D.ietf-quic-transport].

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat